SDL_DestroyHapticEffect(3)

NAME
SDL_DestroyHapticEffect - Destroy a haptic effect on the device.

SYNOPSIS
#include <SDL3/SDL_haptic.h>

void SDL_DestroyHapticEffect(SDL_Haptic *haptic, SDL_HapticEffectID effect);

DESCRIPTION
This will stop the effect if it's running. Effects are automatically destroyed when the device is closed.

FUNCTION PARAMETERS

haptic
    the SDL_Haptic device to destroy the effect on.

effect
    the ID of the haptic effect to destroy.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateHapticEffect(3)